Bug 806759 - useradd and userdel don't pass lsb-dist-test-4.1
useradd and userdel don't pass lsb-dist-test-4.1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: xning
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 807951
  Show dependency treegraph
 
Reported: 2012-03-26 03:40 EDT by xning
Modified: 2012-07-24 21:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 21:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Simple script to test this bug (824 bytes, application/x-shellscript)
2012-03-26 03:40 EDT, xning
no flags Details

  None (edit)
Description xning 2012-03-26 03:40:02 EDT
Created attachment 572684 [details]
Simple script to test this bug

Description of problem:
useradd and userdel failed to pass lsb-dist-test-4.1

Version-Release number of selected component (if applicable):
4.1.4.3-13

How reproducible:
always

Steps to Reproduce:
1../test.sh
2.
3.
  
Actual results:
1 1

Expected results:
0 0

Additional info:
Comment 1 xning 2012-03-26 04:02:15 EDT
Request for comment
Comment 2 xning 2012-03-26 04:04:50 EDT
I also submit this bug to linuxfoundation. Pls check here:
https://lsbbugs.linuxfoundation.org/show_bug.cgi?id=3476

We have two solutions to resolve this problem. One is to modify selinux, another is to fix useradd and userdel.
We can disable selinux, or just change useradd and userdel to permissive domain:
semanage permissive -a useradd_t

We can also move useradd and userdel to other place and rename them, then replace the two commands with two scripts. So, in the two scripts we can preprocess selinux context of directories and files, which are needed by useradd and userdel commands. After preprocessed, we then call renamed useradd and userdel to execute as usual.

Surely is ok if we can fix useradd and userdel directly.
Comment 3 xning 2012-05-02 05:12:40 EDT
Hi Peter, do you think it is ok that changing useradd and userdel to permissive domain? Please give me some advice, thanks a lot.

Note You need to log in before you can comment on or make changes to this bug.